package com.loafle.overflow.module.email.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.MailException;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.stereotype.Service;

/**
 * Created by geek on 17. 6. 28.
 */
@Service
public class EmailAuthService {

    @Autowired
    private JavaMailSender mailSender;

    public void sendEmail(String to, String sub, String message) {

        try {
            SimpleMailMessage message1 = new SimpleMailMessage();
            message1.setTo(to);
            message1.setSubject(sub);
            message1.setText(message);
            message1.setFrom("geek@loafle.com");

            mailSender.send(message1);
        } catch (MailException e) {
            e.printStackTrace();
        }
    }
}
