package com.loafle.overflow.module.target.service;

import com.loafle.overflow.module.probe.model.Probe;
import com.loafle.overflow.module.target.dao.TargetDAO;
import com.loafle.overflow.module.target.model.Target;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by insanity on 17. 6. 28.
 */
@Service
public class TargetService {

    @Autowired
    private TargetDAO targetDAO;

    public Target regist(Target target) {
        return this.targetDAO.save(target);
    }

    public Target read(String id) {
        return this.targetDAO.findOne(Long.valueOf(id));
    }

    public List<Target> readAllByProbe(Probe probe) {
        return this.targetDAO.findAllByProbe(probe);
    }

    public void remove(Target target) {
        this.targetDAO.delete(target);
    }

}
